dofile("Base.rte/Constants.lua")
require("AI/NativeCrabAI")	--dofile("Base.rte/AI/NativeCrabAI.lua")

function Create(self)
	self.AI = NativeCrabAI:Create(self)
end

function UpdateAI(self)
	self.AI:Update(self)
end

function SRBDetonate(actor)
	local explosion = CreateMOSRotating("Particle SRB Explosion");
	explosion.Pos = actor.Pos;
	MovableMan:AddParticle(explosion);
	actor.ToDelete = true;
	explosion:GibThis();
end

function Update(self)

	if self:GetController():IsState(Controller.MOVE_LEFT) then
		self.AngularVel = math.min(10,self.AngularVel+3);
	end

	if self:GetController():IsState(Controller.MOVE_RIGHT) then
		self.AngularVel = math.max(-10,self.AngularVel-3);
	end

	local rayHitPos = Vector(0,0);
	if self:GetController():IsState(Controller.BODY_JUMP) and SceneMan:CastStrengthRay(self.Pos,Vector(0,(self.Radius+5)),0,rayHitPos,0,0,SceneMan.SceneWrapsX) == true then
		self.Vel = self.Vel + Vector(0,-3);
	end

end