function Create(self)
		
		self.ReloadTimer = Timer();
		self.ReloadTime = 5000;
		self.SWReloadTimer = Timer();
		self.SWReloadTime = 1250;
		self.Reloaded = true;
		self.SWReloaded = true;
		
		self.MaxRange = 1000;
		self.MinRange = 125;
		self.Shockwave = 125;
		self.ShockwaveVel = 60;
		
		self.CurrentRange = 1000;
		
		self.HealTimer = Timer();
		self.HealTime = 2500

	
end


function Update(self)

	self.RotAngle = 0;
	self.PinStrength = 15000;
	
	if self.SWReloaded == false and self.SWReloadTimer:IsPastSimMS(self.SWReloadTime) then
		self.SWReloaded = true;	
	elseif self.SWReloaded == true then
		for actor in MovableMan.Actors do
			if actor.Team ~= self.Team then
				local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true);
				local d = dist.Magnitude
				if d <= self.MinRange then
					local i = 0;
					while i < self.Shockwave do
						local a = CreateMOPixel("Turret Frag SW","Turret.rte");
						a:SetWhichMOToNotHit(self,-1);
						a.Pos = self.Pos;
						a.Vel = Vector(math.random(-self.ShockwaveVel,self.ShockwaveVel),math.random(-self.ShockwaveVel,10));
						MovableMan:AddMO(a);
						i = i+1;
					end
					self.SWReloadTimer:Reset();
					self.SWReloaded = false;
				end
			end
		end
	end
	
	if self.Reloaded == false and self.ReloadTimer:IsPastSimMS(self.ReloadTime) then
		self.Reloaded = true;	
	elseif self.Reloaded == true then

		for actor in MovableMan.Actors do
			if actor.Team ~= self.Team then
				local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true);
				local d = dist.Magnitude
				if d <= self.MaxRange and d >= self.MinRange then
				local ray1 = SceneMan:CastObstacleRay(self.Pos+Vector(0,-50), dist, Vector(), Vector(), actor.ID, 0, 2);
					if d < self.CurrentRange and ray1 < 0 then
						self.CurrentRange = d;
						self.Target = actor;
					end
				end
			end
		end
		local ray = SceneMan:CastObstacleRay(self.Pos+Vector(0,5), Vector(0,-125), Vector(), Vector(), self.ID, 0, 2);
		if ray >= 0 then
			local i = 0;
			while i < 6*self.Shockwave do
				local a = CreateMOPixel("Turret Frag SW","Turret.rte");
				a:SetWhichMOToNotHit(self,-1);
				a.Pos = self.Pos+Vector(0,10);
				a.Vel = Vector(math.random(-0.25*self.ShockwaveVel,0.25*self.ShockwaveVel),math.random(-2.5*self.ShockwaveVel,0));
				MovableMan:AddMO(a);
				i = i+1;
			end
			self.ReloadTimer:Reset();
			self.Reloaded = false;
			self.CurrentPriority = 0;
		elseif self.Target ~= nil and MovableMan:IsActor(self.Target) then
			local a = CreateAEmitter("Interceptor Missile Turret","Turret.rte");
			a.Team = self.Team;
			a.Pos = self.Pos;
			a.Vel = self.Vel + Vector(0,-20);
			a.Mass = self.Target.ID;
			MovableMan:AddMO(a);
			self.ReloadTimer:Reset();
			self.Reloaded = false;
			self.CurrentPriority = 0;
		end

	end
	
	if self.Health <= 0 then
		self:GibThis();
	elseif self.Health < 100 and self.HealTimer:IsPastSimMS(self.HealTime) then
		self.Health = self.Health+1;
		self.HealTimer:Reset();
	end
	
end

function Destroy(self)

	local i = 0;
	while i < 2*self.Shockwave do
		local a = CreateMOPixel("Turret Frag SW","Turret.rte");
		a:SetWhichMOToNotHit(self,-1);
		a.Pos = self.Pos;
		a.Vel = Vector(math.random(-2*self.ShockwaveVel,2*self.ShockwaveVel),math.random(-2*self.ShockwaveVel,10));
		MovableMan:AddMO(a);
		i = i+1;
	end

end