function Create(self)
	self.Vel = self.Vel.Normalized*math.random(46,68);
	
	self.Acc = 500;
	self.Sharpness = 1.25;
	self.MaximumVelocity = 75;
	self.Range = 500;
	self.Tolerance = 50;
	self.TargetRelPos = self.Vel.Normalized*1000;
	
	self.Friction = self.Acc/(self.MaximumVelocity);
	
	
	
end

function Update(self)

	self.Vel.X = self.Vel.X*(1-self.Friction*TimerMan.DeltaTimeSecs)
	self.Vel.Y = self.Vel.Y*(1-self.Friction*TimerMan.DeltaTimeSecs)
	local d = self.Range;
	for actor in MovableMan.Actors do
		local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true);
		if dist.Magnitude < d and actor.Team ~= self.Team and actor.PresetName ~= "Armoured Stormtrooper" then---------------------
			local ray = SceneMan:CastObstacleRay(self.Pos , dist , Vector() , Vector() , 255 , self.Team, 0 , 1);
			if ray > 0 and ray > dist.Magnitude-self.Tolerance then
				self.TargetRelPos = dist;
				d = dist.Magnitude;
			end
		end
	end
	
	self.Vel = self.Vel+self.TargetRelPos.Normalized*self.Acc*TimerMan.DeltaTimeSecs;

end
