function tokey(n,k)
	local KeyTable = {};
	KeyTable[0] = {"q","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","a","r","s","t","u","v","z","x","y","w","0","1","2","3","4","5","6","7","8","9","num0","num1","num2","num3","num4","num5","num6","num7","num8","num9",".",".",".",".",".",".",".",".",".",".",".",".",".",".",".",".",".","back","tab","enter",".",".",".",".","<",".",".",".","space","insert","del","home","end","pageup","pagedown","arrowleft","arrowright","arrowup","arrowdown"};
	KeyTable[1] = {"a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","0","1","2","3","4","5","6","7","8","9","num0","num1","num2","num3","num4","num5","num6","num7","num8","num9",".",".",".",".",".",".",".",".",".",".",".",".",".",".",".",".",".","back","tab","enter",".",".",".",".","<",".",".",".","space","insert","del","home","end","pageup","pagedown","arrowleft","arrowright","arrowup","arrowdown"};
	local i = 1;
	while i <= 85 do
		if tostring(n):lower() == KeyTable[k][i] then
			return(i);
		else
			i = i+1;
		end
	end
	return 0;
end

function SetMehmanKeys(n0,n1,n2,n3,k)
	MehmanKey0 = tokey(n0,k);
	MehmanKey1 = tokey(n1,k);
	MehmanKey2 = tokey(n2,k);
	MehmanKey3 = tokey(n3,k);
	
	local io = require("io");
	local f = io.open("rcsa.rte/Keys.flyingrabbit" , "wb+");
	f:write(MehmanKey0.."\n");
	f:write(MehmanKey1.."\n");
	f:write(MehmanKey2.."\n");
	f:write(MehmanKey3.."\n");
	f:close();
	
end

function GetMehmanKeys()

    local f = require("io");
	f.input("rcsa.rte/Keys.flyingrabbit");

	local i = 0;

	for line in f.lines() do
		if i == 0 then
			MehmanKey0 = tonumber(line);
		elseif i == 1 then
		    MehmanKey1 = tonumber(line);
		elseif i == 2 then
		    MehmanKey2 = tonumber(line);
   		elseif i == 3 then
			MehmanKey3 = tonumber(line);
		end
		i = i+1;
	end
	
	f.input():close();
	
end