function Create(self)

	GetMehmanKeys();
	
	self.ReloadTime = 1000;
	self.timer = Timer();
    self.AIMode = 1;
	self.Vel.X = 0
    self.c = self:GetController();
	self.EA = 0.0;
	self.EAS = 0.0;
    
    self.Acceleration = 0.25;
    
    self.angle = Vector(0,0);
	
	self.B = 8;
	
end

function Destroy(self)
end

function Update(self)

	for i = 1,MovableMan:GetMOIDCount()-1 do
		self.E = MovableMan:GetMOFromID(i);
		if self.E.PresetName == "Emitter FD" and SceneMan:ShortestDistance(self.E.Pos,self.Pos, true).Magnitude < 15 then

			if self.HFlipped then
   			self.E.Pos = self.Pos + Vector(math.cos(self.RotAngle-0.8960553-(math.pi/2))*0.0,math.sin(self.RotAngle-0.8960553-(math.pi/2))*0.0);
			else
       		self.E.Pos = self.Pos + Vector(math.cos(self.RotAngle+0.8960553+(math.pi/2))*0.0,-math.sin(self.RotAngle+0.8960553+(math.pi/2))*0.0);
			end
			self.E.HFlipped = false;
			self.E:SetWhichMOToNotHit(self,-1);
			self.EA = self.EA + self.EAS;
			self.E.RotAngle = self.EA;

	

	for i = 1,MovableMan:GetMOIDCount()-1 do
		self.gun = MovableMan:GetMOFromID(i);
		if (self.gun.PresetName == "WoD Plasma Turret") and self.gun.ClassName == "HDFirearm" and SceneMan:ShortestDistance(self.gun.Pos,self.Pos, true).Magnitude < 50 then
			if self.HFlipped == false and self.gun.RotAngle > 0.1 then
				self.gun.RotAngle = 0.1;
			elseif self.HFlipped == true and self.gun.RotAngle < -0.1 then
				self.gun.RotAngle = -0.1;
			end
			local p = Vector(0,0);
			local an = Vector(0,0);
			local ann = Vector(0,0);
			if self.HFlipped == false then
				an = Vector(math.cos(self.gun.RotAngle-0.35877),-math.sin(self.gun.RotAngle-0.35877));
				ann = Vector(math.cos(self.gun.RotAngle),-math.sin(self.gun.RotAngle));
			else
				an = Vector(-math.cos(self.gun.RotAngle+0.35877),math.sin(self.gun.RotAngle+0.35877));
				ann = Vector(-math.cos(self.gun.RotAngle),math.sin(self.gun.RotAngle));
			end
			local ray = SceneMan:CastObstacleRay(self.gun.Pos+(ann*15),ann*5000,p,p,i,0,0);

			if ray > 1 then
				local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
				a.Pos = p;
				a.Vel = Vector(0,0);
				MovableMan:AddMO(a);
				
				local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
				a.Pos = p-ann;
				a.Vel = Vector(0,0);
				MovableMan:AddMO(a);
				
				local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
				a.Pos = p-Vector(2*ann.X,2*ann.Y);
				a.Vel = Vector(0,0);
				MovableMan:AddMO(a);
				
				local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
				a.Pos = p-Vector(3*ann.X,3*ann.Y);
				a.Vel = Vector(0,0);
				MovableMan:AddMO(a);
				
				local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
				a.Pos = p-Vector(4*ann.X,4*ann.Y);
				a.Vel = Vector(0,0);
				MovableMan:AddMO(a);
				
				local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
				a.Pos = p-Vector(6*ann.X,6*ann.Y);
				a.Vel = Vector(0,0);
				MovableMan:AddMO(a);
				
				local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
				a.Pos = p-Vector(10*ann.X,10*ann.Y);
				a.Vel = Vector(0,0);
				MovableMan:AddMO(a);
			end
			
			local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
			a.Pos = self.gun.Pos+an*8.75;
			a.Vel = self.gun.Vel;
			MovableMan:AddMO(a);
			
			local a = CreateMOPixel("Laser Particle BFD","RCSA.rte");
			a.Pos = self.gun.Pos+an*8.75;
			a.Vel = self.gun.Vel;
			MovableMan:AddMO(a);
			
		end
	end
    self.angle = Vector(0,0);
    if self:GetAimAngle(true) > 0.1 then
		self:SetAimAngle(0.1);
	end
	
	self.Vel.Y = (self.Vel.Y - (SceneMan.GlobalAcc.Y * TimerMan.DeltaTimeSecs)*(math.cos(self.RotAngle)));
    self.Vel.X = (self.Vel.X - (SceneMan.GlobalAcc.Y * TimerMan.DeltaTimeSecs)*(math.sin(self.RotAngle)));

    
    if self.RotAngle ~= 0 then
        if self.RotAngle < 0 then
            if math.abs(self.AngularVel) < 10 then
            	self.AngularVel = self.AngularVel + 0.50;
			end
		elseif self.RotAngle > 0 then
			if math.abs(self.AngularVel) < 10 then
            	self.AngularVel = self.AngularVel - 0.50;
			end
		end
	end
	
	if self.c:IsState(5) then
	    self.Vel.Y = self.Vel.Y - self.Acceleration * (math.cos(self.E.RotAngle));
	    self.angle.Y = 2;
	elseif self.c:IsState(6) then
	    self.Vel.Y = self.Vel.Y + self.Acceleration * (math.cos(self.E.RotAngle));
	    self.angle.Y = -1;
	elseif math.abs(self.Vel.Y) < 0.25 and self.Health >= 33 then
		self.Vel.Y = self.Vel.Y-0.25;
	end
	self.E.AngularVel = self.AngularVel;
	if self.c:IsState(3) then
     	self.Vel.X = self.Vel.X + self.Acceleration;
     	self.angle.X = -2;

		if self.EA > -0.2 then
			self.EAS = self.EAS-0.0020;
		end
	elseif self.c:IsState(4) then
      	self.Vel.X = self.Vel.X - self.Acceleration;
      	self.angle.X = 2;

		if self.EA < 0.2 then
			self.EAS = self.EAS+0.0020;
		end
	else
		if self.EA > 0 then
			self.EAS = self.EAS-0.0020;
		elseif self.EA < 0 then
			self.EAS = self.EAS+0.0020;
		end
	end
	self.EAS = self.EAS * 0.95;
	
	
	self.Vel.X = 0.98 * self.Vel.X;
	self.Vel.Y = 0.98 * self.Vel.Y;
	
	local f = math.random(0,1);
	
	local e = CreateMOSParticle("Smoke Ball 0", "RCSA.rte");
    e.Vel.X = math.random(-1,1) + self.angle.X + self.Vel.X;
    e.Vel.Y = math.random(5,9) + self.angle.Y + self.Vel.Y;
    
    if f == 0 then
    	e.Pos.X = math.ceil(  self.E.Pos.X + (5 * math.sin(self.E.RotAngle - (math.pi/2)) )  );
    	e.Pos.Y = math.ceil(  self.E.Pos.Y + (5 * math.cos(self.E.RotAngle - (math.pi/2)) )  );
	else
		e.Pos.X = math.ceil(  self.E.Pos.X + (5 * math.sin(self.E.RotAngle + (math.pi/2)) )  );
		e.Pos.Y = math.ceil(  self.E.Pos.Y + (5 * math.cos(self.E.RotAngle + (math.pi/2)) )  );
	end
    
	
    MovableMan:AddMO(e);
    end
	end
	if self:IsPlayerControlled() == true and UInputMan:KeyPressed(MehmanKey0) and self.B > 0 then
	    local b1 = CreateTDExplosive("Mine", "RCSA.rte");
		if self.HFlipped then
			b1.Pos.X = math.ceil(  self.Pos.X + (15 * math.sin(self.RotAngle)) );
		else
			b1.Pos.X = math.ceil(  self.Pos.X - (15 * math.sin(self.RotAngle)) );
		end
		b1.Vel = self.Vel;
    	b1.Pos.Y = math.ceil(  self.Pos.Y + (50 * math.cos(-math.abs(self.RotAngle-(math.pi/2)) )  ));
    	b1:Activate();
    	MovableMan:AddMO(b1);
		self.B = self.B - 1;
	end
	if self.timer:IsPastSimMS(self.ReloadTime) and self.B < 8 then
		self.B = self.B+1;
		self.timer:Reset();
	end	
	if self.Health > 67 then
		self.Acceleration = 0.25;
		self.ReloadTime = 1000;
	end
	if self.Health <= 67 then
		local r = math.random(0,100);
		if r <= 10 then
			local e = CreateMOSParticle("Tiny Smoke Ball 0");
			e.Vel = Vector(0.5*self.Vel.X,0.5*self.Vel.Y) + Vector(0,math.random(0,2));
			e.Pos = self.Pos + Vector(math.random(-10,10),math.random(-10,10));	
			MovableMan:AddMO(e);
		end
		self.Acceleration = 0.15;
		self.ReloadTime = 1500;
	end
	if self.Health <= 33 then
		local r = math.random(0,100);
		if r <= 25 then
			local e = CreateMOSParticle("Smoke Ball");
			e.Vel = Vector(0.5*self.Vel.X,0.5*self.Vel.Y) + Vector(0,math.random(-5,0));
			e.Pos = self.Pos + Vector(math.random(-5,5),math.random(-5,5));	
			MovableMan:AddMO(e);
		end
		if r <= 20 then
			local e = CreateMOSParticle("Explosion Smoke Small Glow");
			e.Vel = Vector(0.5*self.Vel.X,0.5*self.Vel.Y) + Vector(0,math.random(-5,0));
			e.Pos = self.Pos + Vector(math.random(-8,8),math.random(-8,8));	
			MovableMan:AddMO(e);
		end
		if r <= 1 and math.random(0,10) == 10 then
			local e = CreateAEmitter("Explosion Trail 1");
			e.Vel = Vector(0.5*self.Vel.X,0.5*self.Vel.Y) + Vector(math.random(-10,10),math.random(-10,10));
			e.Pos = self.Pos + Vector(math.random(-8,8),math.random(-8,8));	
			MovableMan:AddMO(e);
			self.Health = self.Health-1;
		end
		self.Vel.Y = self.Vel.Y+0.025;
		self.Acceleration = 0.075;
		self.ReloadTime = 2250;
	end
	if self.Health <= 0 then
		self:GibThis();
	end
	
end