function Create(self)
    self.LTimer = Timer();
    self.target = nil;
    self.Team = 1;
end

function Update(self)
    if self.LTimer:IsPastSimMS(200) then
	if MovableMan:IsActor(self.target) == false then
	    local curdist = 300;
	    for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < curdist and actor.Team ~= self.Team then
		    curdist = dist;
		    self.target = actor;
		end
	    end
	end

	if MovableMan:IsActor(self.target) then
	    local targetdir = math.atan2(-(self.target.Pos.Y-self.Pos.Y),(self.target.Pos.X-self.Pos.X));

	    if targetdir ~= self.RotAngle then
		self.RotAngle = targetdir;
	    end

	    if self:IsEmitting() == false then
	        self:EnableEmission(true);
	    end
	else
	    if self:IsEmitting() == true then
	        self:EnableEmission(false);
	    end
	end

	if self.LTimer:IsPastSimMS(15000) then
	    self:GibThis();
	end
    end
end