function Create(self)

	GetMehmanKeys();

    self.identificationkey = tostring(math.random(0,999999999));
    self.at = false;
	for actor in MovableMan.Actors do
		local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true);
		if dist.Magnitude < 50 and self.at == false then
			self.Pos = actor.Pos;
			self.Vel = actor.Vel;
			actor.PresetName = self.identificationkey;
			self.at = true;
		end
	end
	self.distact = Vector(0,0);
	self:Activate();
	
	self.Activated = true;
	self.Range = 2500;
	self.Penetration = 2500;
	self.Scale = 1/10;
	self.Intensity = 2;
	--self.Cycle = 100;
	self.Dissipation = 1/1000;
	--self.t = Timer();
	
end

function Update(self)

	
	for actor in MovableMan.Actors do
		if self.Activated then
			local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true);
			if actor.PresetName == self.identificationkey then
				self.Pos = actor.Pos;
				self.Vel = actor.Vel;
					
				if actor:IsPlayerControlled() == true then --and self.t:IsPastSimMS(self.Cycle) then
					for actor2 in MovableMan.Actors do
						local dist2 = SceneMan:ShortestDistance(self.Pos, actor2.Pos, true);
						if dist2.Magnitude < self.Range then
							if SceneMan:CastStrengthSumRay(self.Pos,actor2.Pos,0,128) < 4*((self.Penetration/(1+((self.Dissipation*dist2.Magnitude))^2))-(self.Penetration/(1+((self.Dissipation*self.Range))^2))) then
								local c = 0;
								while c < self.Intensity do
									local i = CreateMOPixel(actor2.Team.." Glow cd","RCSA.rte");
									i.Pos = self.Pos+dist2*self.Scale;
									i.Vel = Vector(0,0);
									MovableMan:AddMO(i);
									c = c+1;
								end
							end
						end
					end
					--self.t:Reset();
				end	
			end
		end
		if actor:IsPlayerControlled() == true and UInputMan:KeyPressed(MehmanKey3) then
			self.Activated = not self.Activated;
		end
	end
	
	
end 


function Destroy(self)
    local re = CreateTDExplosive("Null Device Minimap","RCSA.rte");
    re.Pos = self.Pos;
    re.Vel = self.Vel;
	MovableMan:AddMO(re);
end